Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I have a ChicagoVPS server that I chose to use the "CentOS 5 Kloxo (32 bit)" image. I managed to get PHP 5.3.3 installed on the machine, but when I used Yum it installed PHP 5.3.3, and not the latest version (which seems to be 5.4.15 as of today: http://php.net/downloads.php).

I'd like to get PHP/MysQL updated to the latest stable/released version, and hopefully understand the method in which to do this in the future on CentOS. I've tried SEVERAL guides across the net, but every single one is different, and every single one does not seem to do the trick. For some reason I thought that CentOS and PHP had some standardized libraries for all of this...where we could simply use yum update php or similar and get everything downloaded and installed?

Once I get this figured out, I also am trying to get a few libraries installed, including Crypt (which didn't come with the PHP 5.3.3), and the standard SSH library.

I plan to try my first Laravel install on this rig, FYI.

The reason why I tagged this with "Kloxo" is because I'm not sure if Kloxo helps me install anything, or if I need to do it all from root/terminal.

Lastly, I wanted to add my screenshot from Kloxo where it thinks PHP isn't even installed (probably because I didn't use Kloxo to install it, and maybe I should have?).. http://i.imgur.com/ZAXiB3u.png

Thanks!

share|improve this question

1 Answer 1

You seem to have a little of a mess with regards to package maintenance.

For an overview of CentOS packaging policies, read their FAQ.

First off, CentOS5 is quite old these days, you should be using CentOS6.4, which ships a more recent version of both PHP and MySQL.

If those version aren't recent enough for the framework you plan to use, you still have a few options:

  • check if any of the additional repositories includes the versions you need.
  • look for a third party repository that provides the packages you need. This question as valuable answers regarding this very topic.
  • If you feel comfortable with it, you can roll your own:
    • backport the version you need using a SRPM
    • download the upstream sources and modify the spec file if necessary to package the software
share|improve this answer
    
From what I had read, 5.9 was still considered "more stable" - but again, I'm so new to linux and CentOS in general I'm learning as I go... I cannot find any definitive "source" for info on things like this. So, why wouldn't CentOS 6 always use the latest PHP version via yum update? Assuming we know we want to update, and our code is compatible, anything else is probably bug fixes or security fixes, wouldn't we want to have that made available to us in a repeatable manor? Also, GREAT repo answer, I will dive into that... –  Shackrock May 10 '13 at 18:28
    
CentOS ships the version which was current at the time of the point release. Afterwards, security and bug fixes are backported, but packages are rarely updated. Also, CentOS being a server oriented distribution, focuses in stability more than in offering bleeding-edge software. –  dawud May 10 '13 at 19:10
    
@Shackrock Windows 2003 is "more stable" than Windows 2012, but it's also ancient. The same principle applies here. –  Michael Hampton May 10 '13 at 22:06
    
@MichaelHampton yea, good point. –  Shackrock May 11 '13 at 12:10

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.